Extending Qt Creator Manual | KeywordsCompletionAssistProcessor

Extending Qt Creator Manual 4.5.2

# KeywordsCompletionAssistProcessor Class

(TextEditor::KeywordsCompletionAssistProcessor)

Inherits: | TextEditor::IAssistProcessor

- List of all members, including inherited members

## Public Functions

| KeywordsCompletionAssistProcessor(Keywords keywords)
| ~KeywordsCompletionAssistProcessor() override = default
void | setSnippetGroup(const QString &id)

## Reimplemented Public Functions

virtual IAssistProposal * | perform(const AssistInterface *interface) override

- 6 public functions inherited from TextEditor::IAssistProcessor

## Protected Functions

void | setKeywords(Keywords keywords)

## Member Function Documentation

### KeywordsCompletionAssistProcessor::KeywordsCompletionAssistProcessor(Keywords keywords)

Default constructs an instance of KeywordsCompletionAssistProcessor.

### `[default]` KeywordsCompletionAssistProcessor::~KeywordsCompletionAssistProcessor()

Destroys the instance of KeywordsCompletionAssistProcessor.

### `[override virtual]` IAssistProposal *KeywordsCompletionAssistProcessor::perform(const AssistInterface *interface)

### `[protected]` void KeywordsCompletionAssistProcessor::setKeywords(Keywords keywords)

### void KeywordsCompletionAssistProcessor::setSnippetGroup(const QString &id)